/* 
   XRView.h

   NSView for GNUstep GUI X/RAW Backend

   Copyright (C) 1996 Free Software Foundation, Inc.

   Author:  Pascal Forget <pascal@wsc.com>
   Date: September 1995
   Author:  Felipe A. Rodriguez <far@ix.netcom.com>
   Date: June 1998
   
   This file is part of the GNUstep GUI X/RAW Backend.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/ 

#ifndef _GNUstep_H_XRView
#define _GNUstep_H_XRView

#include <AppKit/NSView.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>

@interface XRView : NSView
{
}

@end

@interface XRDragView : XRView						// this view displays the
{													// drag window's icon
}

+ (XRDragView *)_sharedDraggingView;
- (void)setImage:(NSImage *)anImage;

@end

#endif /* _GNUstep_H_XRView */
