/* 
   XRWindowView.m

   View which handles drawing the window decorations and filling
   the window with the background color.

   Copyright (C) 1997 Free Software Foundation, Inc.

   Author:  Scott Christley <scottc@net-community.com>
   Date: November 1997
   Author:  Felipe A. Rodriguez <far@ix.netcom.com>
   Date: August 1998
   
   This file is part of the GNUstep GUI X/RAW Backend.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
   
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public
   License along with this library; see the file COPYING.LIB.
   If not, write to the Free Software Foundation,
   59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/ 

#include <config.h>

#include <AppKit/NSGraphics.h>
#include <AppKit/NSColor.h>
#include <AppKit/NSWindow.h>

#include <gnustep/xraw/XRWindowView.h>


@implementation XRWindowView

- (BOOL)isOpaque								{ return YES; }

- (void)drawRect:(NSRect)rect
{
	[[window backgroundColor] set];
	NSRectFill(rect);
}

- (Class) classForCoder: aCoder
{
  if ([self class] == [XRWindowView class])
    return [super class];
  return [self class];
}

@end
